extends ../_docs-template

block vars
  - var activeLink = 'vue';
  - var title = 'Area Chart Vue Component | Framework7 Vue Documentation';

block docs-index

block content


  .docs-nav
    include ../_docs-menu-vue
  .docs-content
    .motion-docs-page-title
      h1 Area Chart Vue Component
      script(src="/js/motion/areachart.js")
      f7-motion-areachart(motion)

    p Framework7 comes with simple Area Chart component. It produces nice looking fully responsive SVG charts.
    h2 Area Chart Components
    p There are following components included:
    ul
      li `f7-area-chart`
    h2 Area Chart Properties
    table.params-table
      thead
        tr
          th Prop
          th Type
          th Default
          th Description
      tbody
        tr
          td width
          td number
          td 640
          td Generated SVG image width (in px)
        tr
          td height
          td number
          td 320
          td Generated SVG image height (in px)
        tr
          td datasets
          td array
          td []
          td Chart data sets. Each object in `datasets` array has the following properties:
            ```js
              /** Dataset value */
              values: number[];
              /** Dataset HEX color */
              color?: string;
              /** Dataset label */
              label?: string;
            ```
        tr
          td line-chart
          td boolean
          td false
          td Enables lines chart (instead of area chart)
        tr
          td axis
          td boolean
          td false
          td Enables chart horizontal (X) axis
        tr
          td axis-labels
          td array
          td []
          td Chart horizontal (X) axis labels. Should have same amount of items as dataset values
        tr
          td tooltip
          td boolean
          td false
          td Enables tooltip on hover
        tr
          td legend
          td boolean
          td false
          td Enables chart legend
        tr
          td toggle-datasets
          td boolean
          td false
          td When enabled it will toggle data sets on legend items click
        tr
          td max-axis-labels
          td number
          td 8
          td Max numbers of axis labels (ticks) to be visible on axis
        tr
          td format-axis-label
          td function(label)
          td
          td Custom render function to format axis label text
        tr
          td format-legend-label
          td function(label)
          td
          td Custom render function to format legend label text
        tr
          td format-tooltip
          td function(data)
          td
          td Custom render function that must return tooltip's HTML content. Received `data` object has the following properties:
            ```js
              index: number;
              total: number;
              datasets: {
                color?: string;
                label: any;
                value: number;
              }
            ```
        tr
          td format-tooltip-axisLabel
          td function(label)
          td
          td Custom render function to format axis label text in Tooltip
        tr
          td format-tooltipT-total
          td function(total)
          td
          td Custom render function to format total value text in Tooltip
        tr
          td format-tooltip-dataset
          td function(label, value, color)
          td
          td Custom render function to format dataset text in Tooltip


    h2 Area Chart Events
    table.events-table
      thead
        tr
          th Event
          th Arguments
          th Description
      tbody
        tr
          td select
          td <span>(index)</span>
          td Event will be triggered (when tooltip enabled) on chart hover

    h2 Examples
    +examplePreview('vue', 'area-chart.vue', 'area-chart')
